package com.liang.entity;

import lombok.Data;

import java.io.Serializable;
import java.sql.Date;

/**
 * 付款计划(PrjPayplanXg)实体类
 *
 */
@Data
public class PrjPayplanXg implements Serializable {
    private static final long serialVersionUID = -50088345215138191L;

    private Integer id;
    /**
     * 付款要求
     */
    private String fkyq;
    /**
     * 支付比例（%）
     */
    private Double zfbl;
    /**
     * 支付金额（万元）
     */
    private Double zfje;
    /**
     * 创建人
     */
    private Integer cjr;
    private String cjrxm;
    /**
     * 创建时间
     */
    private Date cjsj;
    /**
     * 任务书
     */
    private Integer rws;
    private String rwsmc;
    /**
     * 费用申请
     */
    private Integer fysq;
    private String fysqmc;
    /**
     * 计划名称
     */
    private String jhmc;
    /**
     * 合同
     */
    private Integer ht;

    /**
     *付款信息
     */
    private String fkxx;

    /**
     * 原付款计划ID
     */
    private Integer oldid;
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFkyq() {
        return fkyq;
    }

    public void setFkyq(String fkyq) {
        this.fkyq = fkyq;
    }

    public Double getZfbl() {
        return zfbl;
    }

    public void setZfbl(Double zfbl) {
        this.zfbl = zfbl;
    }

    public Double getZfje() {
        return zfje;
    }

    public void setZfje(Double zfje) {
        this.zfje = zfje;
    }

    public Integer getCjr() {
        return cjr;
    }

    public void setCjr(Integer cjr) {
        this.cjr = cjr;
    }

    public Date getCjsj() {
        return cjsj;
    }

    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    public Integer getRws() {
        return rws;
    }

    public void setRws(Integer rws) {
        this.rws = rws;
    }

    public Integer getFysq() {
        return fysq;
    }

    public void setFysq(Integer fysq) {
        this.fysq = fysq;
    }

    public String getJhmc() {
        return jhmc;
    }

    public void setJhmc(String jhmc) {
        this.jhmc = jhmc;
    }

    public Integer getHt() {
        return ht;
    }

    public void setHt(Integer ht) {
        this.ht = ht;
    }

    public String getCjrxm() {
        return cjrxm;
    }

    public void setCjrxm(String cjrxm) {
        this.cjrxm = cjrxm;
    }

    public String getRwsmc() {
        return rwsmc;
    }

    public void setRwsmc(String rwsmc) {
        this.rwsmc = rwsmc;
    }

    public String getFysqmc() {
        return fysqmc;
    }

    public void setFysqmc(String fysqmc) {
        this.fysqmc = fysqmc;
    }
}

